Debian Bug report logs - #627252
klibc: please add armhf support

version graph

Package: src:klibc; Maintainer for src:klibc is maximilian attems <maks@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Wed, 18 May 2011 23:18:01 UTC

Severity: important

Tags: patch

Found in version klibc/1.5.22-1

Fixed in version klibc/1.5.23-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#627252; Package src:klibc. (Wed, 18 May 2011 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to maximilian attems <maks@debian.org>. (Wed, 18 May 2011 23:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: klibc: please add armhf support
Date: Thu, 19 May 2011 02:14:44 +0300
[Message part 1 (text/plain, inline)]
Source: klibc
Version: 1.5.22-1
Severity: important
Tags: patch

klibc currently fails to build on armhf, but there is a -slightly older-
patched version in unreleased/debian-ports.org. The attached patch
enables the build for armhf (which uses -mfloat-abi=hard by default)

Please consider enabling support for armhf.

Thanks

Konstantinos

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[klibc_armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#627252; Package src:klibc. (Thu, 19 May 2011 10:41:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 19 May 2011 10:41:51 GMT) Full text and rfc822 format available.

Message #10 received at 627252@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 627252@bugs.debian.org
Cc: klibc@zytor.com
Subject: Re: Bug#627252: klibc: please add armhf support
Date: Thu, 19 May 2011 12:08:45 +0200
hello,

On Thu, 19 May 2011, Konstantinos Margaritis wrote:

> klibc currently fails to build on armhf, but there is a -slightly older-
> patched version in unreleased/debian-ports.org. The attached patch
> enables the build for armhf (which uses -mfloat-abi=hard by default)
> 
> Please consider enabling support for armhf.
> 
> Thanks
> 
> Konstantinos

> diff -ruN klibc-1.5.21/debian/rules klibc-1.5.21.armhf//debian/rules
> --- klibc-1.5.21/debian/rules	2010-08-25 13:58:44.000000000 +0300
> +++ klibc-1.5.21.armhf//debian/rules	2011-05-07 19:56:51.907308113 +0300
> @@ -8,6 +8,9 @@
>  ifeq ($(DEB_HOST_ARCH),armel)
>  DEB_MAKE_ENVVARS := CONFIG_AEABI=y
>  endif
> +ifeq ($(DEB_HOST_ARCH),armhf)
> +DEB_MAKE_ENVVARS := CONFIG_AEABI=y CPU_ARCH=armv7-a CPU_TUNE=cortex-a8
> +endif
>  ifeq ($(DEB_HOST_ARCH),ia64)
>  DEB_MAKE_ENVVARS := ARCH=ia64
>  endif

this bit will land in next upload of klibc in debian presumably 1.5.23-1.

> diff -ruN klibc-1.5.21/usr/klibc/arch/arm/MCONFIG klibc-1.5.21.armhf//usr/klibc/arch/arm/MCONFIG
> --- klibc-1.5.21/usr/klibc/arch/arm/MCONFIG	2011-01-25 23:46:53.000000000 +0200
> +++ klibc-1.5.21.armhf//usr/klibc/arch/arm/MCONFIG	2011-05-07 19:53:36.487308741 +0300
> @@ -7,8 +7,8 @@
>  # accordingly.
>  #
>  
> -CPU_ARCH := armv4
> -CPU_TUNE := strongarm
> +CPU_ARCH ?= armv4
> +CPU_TUNE ?= strongarm
>  
>  KLIBCOPTFLAGS += -Os -march=$(CPU_ARCH) -mtune=$(CPU_TUNE)
>  KLIBCBITSIZE  = 32

fixed upstream, just pushed out in klibc git, should appear
shortly on the kernel.org mirrors:
http://git.kernel.org/?p=libs/klibc/klibc.git;a=summary

thank you.

-- 
maks




Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 19 May 2011 10:42:32 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Thu, 07 Jul 2011 22:33:19 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Thu, 07 Jul 2011 22:33:19 GMT) Full text and rfc822 format available.

Message #17 received at 627252-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 627252-close@bugs.debian.org
Subject: Bug#627252: fixed in klibc 1.5.23-1
Date: Thu, 07 Jul 2011 22:32:27 +0000
Source: klibc
Source-Version: 1.5.23-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
klibc-utils-udeb_1.5.23-1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_1.5.23-1_amd64.udeb
klibc-utils_1.5.23-1_amd64.deb
  to main/k/klibc/klibc-utils_1.5.23-1_amd64.deb
klibc_1.5.23-1.debian.tar.gz
  to main/k/klibc/klibc_1.5.23-1.debian.tar.gz
klibc_1.5.23-1.dsc
  to main/k/klibc/klibc_1.5.23-1.dsc
klibc_1.5.23.orig.tar.bz2
  to main/k/klibc/klibc_1.5.23.orig.tar.bz2
libklibc-dev_1.5.23-1_amd64.deb
  to main/k/klibc/libklibc-dev_1.5.23-1_amd64.deb
libklibc-udeb_1.5.23-1_amd64.udeb
  to main/k/klibc/libklibc-udeb_1.5.23-1_amd64.udeb
libklibc_1.5.23-1_amd64.deb
  to main/k/klibc/libklibc_1.5.23-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Jun 2011 17:32:53 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.23-1
Distribution: unstable
Urgency: low
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 627252 627808 629934
Changes: 
 klibc (1.5.23-1) unstable; urgency=low
 .
   * New upstream release (arm, dash sync, limits.h, ppc64)
     - minimal mv in klibc-utils.
     - refresh debian/patches/insmod
   * Add Fix-minimal-mv-to-work-across-fs.patch (closes: #627808)
   * Add armhf support. (closes: #627252)
     Thanks to Konstantinos Margaritis <markos@genesi-usa.com>.
   * Add klibc crosscompile support. (closes: #629934)
     Thanks to Steve McIntyre <steve.mcintyre@linaro.org>.
   * debian/copyright: Add specific BSD license text to keep lintian happy.
Checksums-Sha1: 
 01b3c695bda5f3e49ffdb3be4c8df80732998830 1193 klibc_1.5.23-1.dsc
 8fc75c8227870e13e836135a71aad21a49e16404 506362 klibc_1.5.23.orig.tar.bz2
 76f7c23ec0d35d47edf4c0a406842a29bb969c22 19990 klibc_1.5.23-1.debian.tar.gz
 fadf1ae39ea3c421cc47bf22c784f5bc8775f608 227250 libklibc-dev_1.5.23-1_amd64.deb
 7eda0ae0df6f59ae82791c2926550f709be75c24 54852 libklibc_1.5.23-1_amd64.deb
 51780013b8b9fc12fce653ec10ec4a47cb5767f0 177734 klibc-utils_1.5.23-1_amd64.deb
 b71d69b1b801b76bb0677ab802b4c8922a48f69a 176420 klibc-utils-udeb_1.5.23-1_amd64.udeb
 6ef6c37cf4203678c505c4e8b6e900112081e45b 24326 klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
 6c76bec82b6529818c1b802121fb2da6d441c106 37044 libklibc-udeb_1.5.23-1_amd64.udeb
Checksums-Sha256: 
 1f1c747ecffcefe45bb4ed079a99466b90c01e98ef77a42187766b2f569affc0 1193 klibc_1.5.23-1.dsc
 71741882b8323fc1ce1c22a41b1901526c7fa2b7c97845d7a9558ca9d3931ef0 506362 klibc_1.5.23.orig.tar.bz2
 325785c2cf6c874f3ea5f7bfcdc727d7fcb027b794c8c9d20fc8da649e492835 19990 klibc_1.5.23-1.debian.tar.gz
 191b2f9d403f9ba456c518727a0b4320079a8a15f23c789abe726dbe8ae23e93 227250 libklibc-dev_1.5.23-1_amd64.deb
 ccdb2c8deca2c2e948f436f9f714976f17ee01d2699a3a515aa4b0aadbbcbc53 54852 libklibc_1.5.23-1_amd64.deb
 03fef49af6d63ca46922dc85dd265b086e38c74ccad20fea4d1f6a7c0f5f6bd6 177734 klibc-utils_1.5.23-1_amd64.deb
 f01dc7cd22201f4c3209b055942219bf21bf89a6452e215acf0a6b7171935080 176420 klibc-utils-udeb_1.5.23-1_amd64.udeb
 f916e589b96bfd611eb63c0bd275f6df1918ef42733d5ba2cb031b184eb09c72 24326 klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
 23b6300198dd713633629b2c617884a94a97cffe528b727b35a4424d4c883096 37044 libklibc-udeb_1.5.23-1_amd64.udeb
Files: 
 cc35679b05fff63db744f962b262f32a 1193 libs optional klibc_1.5.23-1.dsc
 38a0ac99c4facd14443f4495b29aeff1 506362 libs optional klibc_1.5.23.orig.tar.bz2
 d7b392be6731b189f733b4c1b1af4ff1 19990 libs optional klibc_1.5.23-1.debian.tar.gz
 c6f6fb35183e7b7ddcfab0b771376f1c 227250 libdevel optional libklibc-dev_1.5.23-1_amd64.deb
 1baef201fb1a222a7f54bd1325cb3584 54852 libs optional libklibc_1.5.23-1_amd64.deb
 314d7031031897fe24367e2bc5be5819 177734 libs optional klibc-utils_1.5.23-1_amd64.deb
 e75253070c4950be8a0d049e02f91d02 176420 debian-installer optional klibc-utils-udeb_1.5.23-1_amd64.udeb
 396c6e93bda3902fdbbdec8579d6cab3 24326 debian-installer optional klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
 cddee3875b6c5ee84b2e9de60056a3c4 37044 debian-installer optional libklibc-udeb_1.5.23-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4WLj8ACgkQeW7Lc5tEHqirJwCdE3isz8qYAALGtw4yqqMSbaU/
p5IAoIj4Ba1sB2Ljoxv/0nWicxPmrTJp
=hSlw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Oct 2011 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:00:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.